<?php
include_once 'header.php';
include_once 'config.php';


///CREAR MESAS//
/*
for($i=40; $i<=100; $i++){
	$mesa = "Mesa-".$i;
	mysql_query("insert into mesas set estado='Disponible', camarero='', nombre='$mesa'") or die(mysql_error());
}
*/

////mysql_query("delete from mesas where id_mesa>100") or die(mysql_error());

$sql = mysql_query("select * from mesas") or die(mysql_error());
$sql2 = mysql_query("select * from empresa") or die(mysql_error());
 mysql_query("update mesas set estado='Disponible' where estado=''") or die(mysql_error());

?>

<style>
 .mesa{
	 @float:left;
	 padding: 8px;
	 font-size: 15px;
	 overflow-wrap: break-word;
	 inline-size: 150px;
	 width:100px;
 }

.ocupada{
	background: red;
	color: white;
	border: solid black 2px;

}

.disponible{
	background: green;
	color: white;
	border: solid red 2px;
}
}
 
 
</style>
<br>
<div class="container mt-2">
	<div class="card">
			<button class="btn btn-secundary btn-lg" onClick="window.location.href='mesas.php'">ACTUALIZAR VISTA DE MESAS</button>
<div class="pull-right">
<b><span class="h1 text-info"><?php echo @mysql_result($sql2, 0, "nombre");?><span></b>
</div>

<hr>
		<div class="card-body">

		<div id="lista">
			
		</div>
		</div>
	</div>
</div>
<script>
	lista();
setInterval(function(){
  lista();
},10000)

function lista(){
////	$("#lista").html("Actualizando vista de mesas");
 $.get("mesas0.php", function(data, st){
	if(st=="success"){
		$("#lista").html(data);


	}
 })
}




function modal_credencial_mesa(){
	$("#modal_credencial_mesa").modal('show');
	$("#clave1").focus()
	$("#clave1").val("")
}



function cur_mesa(mesa){
	$("#cur_mesa").html(mesa)
}


function set(t){
	var c = $("#clave1").val();
	var tr;
	tr=c + t;
	$("#clave1").val(tr)
	
}

function borrar(){
	var c = $("#clave1").val();
	$("#clave1").val(c.substring(0,c.length -1));
}

function limpiar(){
	$("#clave1").val("");
	
}


var estado_mesa="";
var camarero_mesa="";
var mesa_seleccionada="";
function get_mesa(mesa){
 $.get("datos_mesa.php?mesa="+mesa, function(data, st){
	if(st=="success"){
		if(data=="null"){return;}
		var datos = JSON.parse(data);
		estado_mesa = datos.estado
		mesa_seleccionada = datos.nombre
		camarero_mesa = datos.camarero

	}
 })
}


var nombre_camarero = ""
function acceder(){
	var clave = $("#clave1").val();
loading("inactivo");
 $.get("datos_camarero.php?clave="+clave, function(data, st){
	if(st=="success"){
		loading("activo");
		if(data=="[]"){
			
			alerta("ATENCION", "USUARIO INCORRECTO", "error")
			return;}
		var datos = JSON.parse(data);
		nombre_camarero = datos.nombre
		if(estado_mesa=="Ocupada" && camarero_mesa!=nombre_camarero){
			alerta("ATENCION", "Esta mesa esta abierta para otro camarero", "error")
			return;
		}

		if(estado_mesa=="Ocupada" && camarero_mesa==nombre_camarero){
			window.location.href="mesa_actual.php?camarero="+nombre_camarero+"&mesa="+mesa_seleccionada;
		}

		if(estado_mesa=="Disponible"){
			window.location.href="mesa_actual.php?camarero="+nombre_camarero+"&mesa="+mesa_seleccionada;
		}
		///camarero_mesa = datos.camarero
		
	}
	
 })

}



</script>
<?php

include_once 'modales.php';
?>